import React, { ReactElement } from "react"
import { Link } from "gatsby"

import { Sections, Content } from "@onegeo/gatsby-theme-onegeo"

function section(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Sections</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
interface ISections {
    ids: string[]
}
`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <Sections ids={["1", "2", "3"]} />
        </Content>
    )
}

export default section
