import React, { ReactElement } from "react"

import { Content, Link, Data } from "@onegeo/gatsby-theme-onegeo"

function news(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc">Retour</Link>

                <h1>Data</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`
 interface Idata {
    layout?: "row" | "col" | "grid"
    size?: "xs" | "base" | "xl"
 }
`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className=" max-w-[500px]">
                <Data layout="row" size="xs" />
            </div>
        </Content>
    )
}

export default news
